/* parser.h - parser module of cc2y4m
 *
 * Copyright (C) 2004 RB
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; only version 2 of the License, not
 * any other version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA. 
 *
 * $Id: parser.h 59 2004-07-30 21:47:15Z rsnel $
 */
#ifndef INCLUDE_CC2Y4M_PARSER_H
#define INCLUDE_CC2Y4M_PARSER_H

extern FILE *yyin;
extern int yyparse(void);
struct channel_s *parse_file(char *);
void parse_error(const char *fmt, ...);
void new_channel(struct channel_s  *);
double lookup_frequency(char *f);

#endif 
